# Uncomment the following lines to include the OpenInventor renderer.
# This is harmless and good, so you should probably always include it.
IV_OBJ= $(IV_OBJ_DEF)
IV_FLAG= -DINCL_IV
IV_LIB= 

# Uncomment the following lines to include the LVR renderer, which
# can be used to control a Sony LVR5000 laser video disk.  This is
# harmless and good, so you should probably always include it.
LVR_OBJ= $(LVR_OBJ_DEF)
LVR_FLAG= -DINCL_LVR
LVR_LIB= 

# The GL renderer can be build to use either the OpenGL library or
# the older IRIS GL library (plus mixed mode windowing).  To use
# OpenGL, uncomment the first block below.  To use IRIS GL, uncomment
# the second block below.  The switch -DAVOID_NURBS can be added
# to the GL_FLAGS line in either case to use fixed geometries for
# spheres, cylinders, tori, and bezier patches.  This is faster
# but produces results which are less smooth.
#GL_OBJ= $(GL_OBJ_DEF)
#GL_FLAG= -DINCL_GL -DUSE_OPENGL -DAVOID_NURBS
#GL_LIB= -lGLw -lGLU -lGL 
# The following lines should be uncommented to use the IRIS GL version
# of this renderer
#GL_OBJ= $(GL_OBJ_DEF)
#GL_FLAG= -DINCL_GL -DAVOID_NURBS
#GL_LIB= -lsphere -lgl -lXirisw

# Uncomment the following lines to include the PVM renderer.  For
# this to work, PVM must be installed on your system and the standard
# environment variables PVM_ROOT and PVM_ARCH must be defined.
#PVM_OBJ= $(PVM_OBJ_DEF)
#PVM_FLAG= -DINCL_PVM -I${PVM_ROOT}/include
#PVM_LIB= -L${PVM_ROOT}/lib/${PVM_ARCH} -lgpvm3 -lpvm3

# Uncomment the following lines to include the XPainter renderer.
#XPAINT_OBJ= $(XPAINT_OBJ_DEF)
#XPAINT_FLAG= -DINCL_XPAINTER
#XPAINT_LIB=

# Uncomment the following lines to include the Painter renderer.
# You must also download and build the DrawCGM library (in the GPLOT
# software distribution from Pittsburgh Supercomputing Center,
# ftp.psc.edu) and set the DRAWCGM references to point to that library.
#DRAWCGM_LIB= drawcgmx
#DRAWCGM_LIB_LOC= ${HOME}/lib
#PAINT_OBJ= $(PAINT_OBJ_DEF)
#PAINT_FLAG= -DINCL_PAINTER
#PAINT_LIB= -L${DRAWCGM_LIB_LOC} -l${DRAWCGM_LIB}

# Add any C flags specific to your site here
COPTIONS= -I.

# Add any link library information specific to your site here
LIBOPTIONS= -L.

# To use an alternate C or Fortran compiler, set the lines below
# appropriately and uncomment them.  If you have no Fortran compiler,
# setting "FC = echo" will avoid trying to build Fortran test codes.
#CC= gcc
#FC= f77

# You should not need to modify anything below this line
CFLAGS= $(ENV_CFLAGS) $(COPTIONS) $(GL_FLAG) $(PVM_FLAG) $(IV_FLAG) $(PAINT_FLAG) $(XPAINT_FLAG) $(LVR_FLAG)
LIB= $(LIBOPTIONS) $(IV_LIB) $(GL_LIB) $(PVM_LIB) $(XPAINT_LIB) $(PAINT_LIB) $(LVR_LIB) $(XLIBS) -lm



